% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/main_fcts.R
\name{FuzzyART_predict}
\alias{FuzzyART_predict}
\title{Predicts the cluster labels for given input patterns based on a trained FuzzyART model.}
\usage{
FuzzyART_predict(inputs, FuzzyArt_Module)
}
\arguments{
\item{inputs}{Specifies the input patterns.}

\item{FuzzyArt_Module}{A trained FuzzyArt_Module as created by FuzzyART_train.}
}
\value{
The prediced labels for the imput patterns.
}
\description{
Predicts the cluster labels for given input patterns based on a trained FuzzyART model.
}
\examples{
normalized_inputs = normalize(df = subset(iris,select = -Species))
mod  = FuzzyART_train(normalized_inputs,alpha = 0.3,rho = .6,beta = .02,
                      max_epochs = 100,max_clusters = 10)
FuzzyART_predict(normalized_inputs, mod)
}
